PAM_FINGERPRINT-GUI(8)

NAME
pam_fingerprint-gui - authenticate users based on their fingerprint

SYNOPSIS

pam_fingerprint-gui.so [-d | --debug] [try_first_identified]

DESCRIPTION

pam_fingerprint-gui is a PAM module that can authenticate users by their fingerprints. If the given fingerprint scan matches one of the previously stored fingerprints data (.bir format) for a user, the username is stored in the PAM stack and the module returns PAM_SUCCESS. The module requests swiping finger and/or typing in the password at the same time. The user can get authenticated using either of these methods. If a password is typed, the module stores the password in the PAM stack and returns PAM_IGNORE, so that the password can be checked by subsequent modules on the stack.

Depending on the environment while authentication is requested and the service to be authenticated, pam_fingerprint-gui requests password and finger-swipe through a GUI widget or a console prompt.

If no fingerprint scanner device is connected to the system or no fingerprint data was found for the user to be authenticated, pam_fingerprint-gui returns PAM_AUTHINFO_UNAVAIL.

OPTIONS

-d, --debug
    Send debugging information to syslog, using the auth facility. Depending on system settings the output may end up in /var/log/auth.log, /var/log/messages or /var/log/syslog.

try_first_identified
    If pam_fingerprint-gui is called more than once in a PAM stack and the given user was identified/authenticated by his/her fingerprint in a previous call already, the module returns PAM_SUCCESS immediately without requesting a password or finger-swipe again.

BUGS

Bugs can be sent directly to the developer or submitted at http://home.ullrich-online.cc/fingerprint/Forum/ .

SEE ALSO

fingerprint-gui(1), fingerprint-identifier(1)

AUTHORS

Wolfgang Ullrich <contact@ullrich-online.cc>
    Developer

David Jurenka
    Manual pages and Debian packaging